# SPDX-FileCopyrightText: 2022 CERN (home.cern)
#
# SPDX-License-Identifier: LGPL-2.1-or-later

KVERSION ?= $(uname -r)
KERNELSRC ?= /lib/modules/$(KVERSION)/build
export VMEBUS ?= $(shell pwd)/../../software

CROSS_COMPILE ?= $(TOOLS)

.PHONY : clean modules all

all: clean modules

modules_install: modules
modules modules_install:
	$(MAKE) -C $(KERNELSRC) M=`pwd`	CROSS_COMPILE=$(CROSS_COMPILE) $@

install: modules_install

clean: cleanall

cleanall:
	/usr/bin/rm -f *.ko;
	$(MAKE) -C $(KERNELSRC) M=`pwd` clean;
